function val = cue_crit_lr(beta)

global cue_lr_m
global gmm_mc_f

w = gmm_mc_f(beta);
g_bar = mean(w)';

[obs,m] = size(w);
%w = w-repmat(mean(w),obs,1);
w_lr = w'*w/obs;

for k=1:cue_lr_m-1
  w_k = w(1:obs-k,:)'*w(1+k:obs,:)/obs;
  w_lr = w_lr + (w_k+w_k')*(1-k/cue_lr_m);
end

return_infty_if_rcond = 1;

if return_infty_if_rcond && rcond(w_lr)<1e-15
  val = 10^10;
else
  weighting_matrix = hessinv(w_lr);
  val = g_bar'*weighting_matrix*g_bar/2;
end
