function b_res = line_fast_min_search(func, left, right, numpoints, delta)

numgrid = left:delta:right;

while right-left>delta
  step = (right-left)/(numpoints-1);
  numgrid = left:step:right;

  best_val = func(left);
  best_b = left;

  for i=2:length(numgrid)
    b = numgrid(i);
    f_val = func(b);
    if f_val<best_val
      best_val = f_val;
      best_b = b;
    end
  end
 
  left = best_b - step + delta;
  right = best_b + step - delta;
end

b_res = best_b;
