function b_w = make_block_mc(w, block_len, block_shift)

if block_len==1
  b_w = w;
  return
end

[iid_N, m] = size(w);
b_N = ceil((iid_N-block_len+1)/block_shift);
b_w = zeros(b_N,m);

for i=1:b_N
  %this can be done more efficiently...
  b_w(i,:)=sum(w((i-1)*block_shift+1 : (i-1)*block_shift+block_len,:));
end

end