function [b_gmm1, b_gmm2, b_gmm2lr] = gmm12lr(mom_cond,lrM,left,right,numpoints,delta)

global weighting_matrix
global gmm_mc_f
gmm_mc_f = mom_cond;

weighting_matrix = 1; %1st step gmm
b_gmm1 = line_grid_binary_min_search(@gmm_crit,left,right,numpoints,delta);

w = gmm_mc_f(b_gmm1);
[obs,m] = size(w);
%w = w-repmat(mean(w),obs,1);
w0 = w'*w/obs;
weighting_matrix = inv(w0);
b_gmm2 = line_grid_binary_min_search(@gmm_crit,left,right,numpoints,delta);

if nargout()>2
  for j = 1:length(lrM)
    w_lr = w0;
    for k=1:lrM(j)-1
      w_k = w(1:obs-k,:)'*w(1+k:obs,:)/obs;
      w_lr = w_lr + (w_k+w_k')*(1-k/lrM(j));
    end
    weighting_matrix = inv(w_lr);
    b_gmm2lr(j) = line_grid_binary_min_search(@gmm_crit,left,right,numpoints,delta);
  end
end